## ros-one-audio-capture 0.3.18-0jammy.20251022.2350

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(audio_capture)

find_package(catkin REQUIRED COMPONENTS roscpp audio_common_msgs)

find_package(PkgConfig)
pkg_check_modules(GST1.0 gstreamer-1.0 REQUIRED)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${GST1.0_INCLUDE_DIRS})

catkin_package()

add_executable(audio_capture src/audio_capture.cpp)
target_link_libraries(audio_capture ${catkin_LIBRARIES} ${GST1.0_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(audio_capture ${catkin_EXPORTED_TARGETS})

install(TARGETS audio_capture
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-audio-capture (0.3.18-0jammy.20251022.2350) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Wed, 22 Oct 2025 23:50:52 +0000

ros-one-audio-capture (0.3.18-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 13 Aug 2024 00:00:00 -0000

ros-one-audio-capture (0.3.17-0jammy) jammy; urgency=high

  * Merge pull request #220 <https://github.com/ros-drivers/audio_common/issues/220> from v4hn/master
  * on real systems publish system clock time in capture node
  * The capture node is hard-coded to alsasrc
  * Contributors: Shingo Kitagawa, v4hn

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-audio-capture (0.3.16-0jammy) jammy; urgency=high

  * Merge pull request #204 <https://github.com/ros-drivers/audio_common/issues/204> from knorth55/audio-capture-stamped
  * add todo comment
  * publish audio stamped in audio_capture.cpp
  * Merge pull request #216 <https://github.com/ros-drivers/audio_common/issues/216> from knorth55/launch-update
  * update audio_capture launch
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 23 Dec 2022 00:00:00 -0000

ros-one-audio-capture (0.3.15-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Aug 2022 00:00:00 -0000

ros-one-audio-capture (0.3.14-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 18 Aug 2022 00:00:00 -0000

ros-one-audio-capture (0.3.13-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 07 Apr 2022 00:00:00 -0000

ros-one-audio-capture (0.3.12-0jammy) jammy; urgency=high

  * Merge branch 'master' into master
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-one-audio-capture (0.3.11-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-audio-capture (0.3.10-0jammy) jammy; urgency=high

  * add bitrate in capture launch
  * [audio_capture] Publish audio info once before publishing /audio
  * Contributors: Naoya Yamaguchi, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 07 Jan 2021 00:00:00 -0000

ros-one-audio-capture (0.3.9-0jammy) jammy; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/audio_common/issues/160> from knorth55/add-device-play
  * use ROS_INFO instead of printf
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 22 Oct 2020 00:00:00 -0000

ros-one-audio-capture (0.3.8-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 13 Sep 2020 00:00:00 -0000

ros-one-audio-capture (0.3.7-0jammy) jammy; urgency=high

  * Merge pull request #150 <https://github.com/ros-drivers/audio_common/issues/150> from sktometometo/fix_mp3_options
    Fix property of lamemp3enc element in audio_capture so that the bitrate parameter work properly.
  * fix property of lamemp3enc element so that it will use the specified bitrate
  * Merge pull request #146 <https://github.com/ros-drivers/audio_common/issues/146> from knorth55/mp3-support
  * use space instead of tab
  * use same caps
  * support channls for mp3
  * Merge pull request #145 <https://github.com/ros-drivers/audio_common/issues/145> from knorth55/mp3-channel-rate
    [audio_capture] add sample_format in audio_capture
  * Merge pull request #147 <https://github.com/ros-drivers/audio_common/issues/147> from knorth55/fix-filesink
    [audio_capture] fix filesink for wave format
  * add sample_format arg in capture_to_file.launch
  * fix filesink for wave format
  * add sample_format in audio_capture
  * Contributors: Koki Shinjo, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-one-audio-capture (0.3.6-0jammy) jammy; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 29 May 2020 00:00:00 -0000

ros-one-audio-capture (0.3.5-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 28 Apr 2020 00:00:00 -0000

ros-one-audio-capture (0.3.4-0jammy) jammy; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-audio-capture (0.3.3-0jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 May 2018 00:00:00 -0000

ros-one-audio-capture (0.3.2-0jammy) jammy; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #102 <https://github.com/ros-drivers/audio_common/issues/102> from EndPointCorp/fix_capture_leak
    Fix audio_capture leak
  * Fix audio_capture sample/buffer leak
  * Merge pull request #90 <https://github.com/ros-drivers/audio_common/issues/90> from prarobo/master
    Error checking code and improvements to launch files
  * Bug fix
  * fix(audio_capture): capturing wave using gst1.0
    0.10-style raw audio caps were being created, according to GStreamer warning. Should be audio/x-raw,format=(string).. now.


=== debian/control ===
Source: ros-one-audio-capture
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev, ros-one-audio-common-msgs, ros-one-catkin, ros-one-roscpp
Homepage: http://ros.org/wiki/audio_capture
Standards-Version: 3.9.2

Package: ros-one-audio-capture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-alsa, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-good1.0-0, libgstreamer1.0-0, ros-one-audio-common-msgs, ros-one-roscpp
Description: Transports audio from a source to a destination.
 Audio sources can come from a microphone or file. The destination can play the audio or save it to an mp3 file.

## ros-one-audio-capture 0.3.18-0jammy.20260220.2052

=== debian/changelog ===
ros-one-audio-capture (0.3.18-0jammy.20260220.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Fri, 20 Feb 2026 20:52:22 +0000

## ros-one-audio-capture 0.3.18-0noble.20251022.2348

=== debian/changelog ===
ros-one-audio-capture (0.3.18-0noble.20251022.2348) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Wed, 22 Oct 2025 23:48:47 +0000

ros-one-audio-capture (0.3.18-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 13 Aug 2024 00:00:00 -0000

ros-one-audio-capture (0.3.17-0noble) noble; urgency=high

  * Merge pull request #220 <https://github.com/ros-drivers/audio_common/issues/220> from v4hn/master
  * on real systems publish system clock time in capture node
  * The capture node is hard-coded to alsasrc
  * Contributors: Shingo Kitagawa, v4hn

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-audio-capture (0.3.16-0noble) noble; urgency=high

  * Merge pull request #204 <https://github.com/ros-drivers/audio_common/issues/204> from knorth55/audio-capture-stamped
  * add todo comment
  * publish audio stamped in audio_capture.cpp
  * Merge pull request #216 <https://github.com/ros-drivers/audio_common/issues/216> from knorth55/launch-update
  * update audio_capture launch
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 23 Dec 2022 00:00:00 -0000

ros-one-audio-capture (0.3.15-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Aug 2022 00:00:00 -0000

ros-one-audio-capture (0.3.14-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 18 Aug 2022 00:00:00 -0000

ros-one-audio-capture (0.3.13-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 07 Apr 2022 00:00:00 -0000

ros-one-audio-capture (0.3.12-0noble) noble; urgency=high

  * Merge branch 'master' into master
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-one-audio-capture (0.3.11-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-audio-capture (0.3.10-0noble) noble; urgency=high

  * add bitrate in capture launch
  * [audio_capture] Publish audio info once before publishing /audio
  * Contributors: Naoya Yamaguchi, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 07 Jan 2021 00:00:00 -0000

ros-one-audio-capture (0.3.9-0noble) noble; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/audio_common/issues/160> from knorth55/add-device-play
  * use ROS_INFO instead of printf
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 22 Oct 2020 00:00:00 -0000

ros-one-audio-capture (0.3.8-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 13 Sep 2020 00:00:00 -0000

ros-one-audio-capture (0.3.7-0noble) noble; urgency=high

  * Merge pull request #150 <https://github.com/ros-drivers/audio_common/issues/150> from sktometometo/fix_mp3_options
    Fix property of lamemp3enc element in audio_capture so that the bitrate parameter work properly.
  * fix property of lamemp3enc element so that it will use the specified bitrate
  * Merge pull request #146 <https://github.com/ros-drivers/audio_common/issues/146> from knorth55/mp3-support
  * use space instead of tab
  * use same caps
  * support channls for mp3
  * Merge pull request #145 <https://github.com/ros-drivers/audio_common/issues/145> from knorth55/mp3-channel-rate
    [audio_capture] add sample_format in audio_capture
  * Merge pull request #147 <https://github.com/ros-drivers/audio_common/issues/147> from knorth55/fix-filesink
    [audio_capture] fix filesink for wave format
  * add sample_format arg in capture_to_file.launch
  * fix filesink for wave format
  * add sample_format in audio_capture
  * Contributors: Koki Shinjo, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-one-audio-capture (0.3.6-0noble) noble; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 29 May 2020 00:00:00 -0000

ros-one-audio-capture (0.3.5-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 28 Apr 2020 00:00:00 -0000

ros-one-audio-capture (0.3.4-0noble) noble; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-audio-capture (0.3.3-0noble) noble; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 May 2018 00:00:00 -0000

ros-one-audio-capture (0.3.2-0noble) noble; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #102 <https://github.com/ros-drivers/audio_common/issues/102> from EndPointCorp/fix_capture_leak
    Fix audio_capture leak
  * Fix audio_capture sample/buffer leak
  * Merge pull request #90 <https://github.com/ros-drivers/audio_common/issues/90> from prarobo/master
    Error checking code and improvements to launch files
  * Bug fix
  * fix(audio_capture): capturing wave using gst1.0
    0.10-style raw audio caps were being created, according to GStreamer warning. Should be audio/x-raw,format=(string).. now.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-audio-capture//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-audio-capture 0.3.18-0noble.20260220.2054

=== debian/changelog ===
ros-one-audio-capture (0.3.18-0noble.20260220.2054) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Fri, 20 Feb 2026 20:54:52 +0000
